// Middleware สำหรับตรวจสอบการเข้าสู่ระบบ
function isAuthenticated(req, res, next) {
    if (req.session && req.session.user) {
      return next(); // ถ้าผู้ใช้เข้าสู่ระบบแล้ว ให้ไปยังหน้าถัดไป
    }
    res.redirect('/login'); // ถ้าไม่ได้เข้าสู่ระบบ จะถูกส่งไปยังหน้า login
  }
  
  module.exports = isAuthenticated;